# Based on rpmfusion release rpm

Name:           quattor-release
Version:        1
Release:        1
Summary:        Quattor Repository Configuration

Group:          System Environment/Base
License:        BSD
URL:            http://quattor.org
Source0:        RPM-GPG-KEY-quattor-jrha
Source1:        quattor.repo
BuildArch:      noarch

#Requires:       redhat-release >= %{version}
#Requires:       epel-release >= %{version}


%description
This package contains the Quattor RPM GPG key as well as Yum package manager
configuration files for the Quattor project.

%prep
echo "Nothing to prep"

%build
echo "Nothing to build"

%install
# Create dirs
install -d -m755 \
  $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg  \
  $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

# GPG Key
%{__install} -Dp -m644 %{SOURCE0} \
    $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg

# Yum .repo files
%{__install} -p -m644 %{SOURCE1} \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

%files
%{_sysconfdir}/pki/rpm-gpg/*
%config(noreplace) %{_sysconfdir}/yum.repos.d/*

%changelog
* Fri Apr 06 2018 stdweird
- Initial RPM release based on RPM Fusion release rpm
